org.eclipse.microprofile.graphql.tck.dynamic.execution

## Class GraphQLTestDataProvider

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.dynamic.execution.GraphQLTestDataProvider

    public class GraphQLTestDataProvider
    extends Object

Provide test data for GraphQL Endpoint from the implementation's /src/test/resources/tests directory and the specification's jar file (in /tests)

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Method Summary

All Methods Static Methods Concrete Methods
`static Object[][]` `getImplementationTestData()`
`static Object[][]` `getSpecificationTestData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSpecificationTestData

    @DataProvider(name="specification")
    public static Object[][] getSpecificationTestData()

#### getImplementationTestData

    @DataProvider(name="implementation")
    public static Object[][] getImplementationTestData()